/*
 * generated by Xtext 2.25.0
 */
package org.xtext.example.methodname.parser.antlr;

import com.google.inject.Inject;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.xtext.example.methodname.parser.antlr.internal.InternalMethodNameParser;
import org.xtext.example.methodname.services.MethodNameGrammarAccess;

public class MethodNameParser extends AbstractAntlrParser {

	@Inject
	private MethodNameGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalMethodNameParser createParser(XtextTokenStream stream) {
		return new InternalMethodNameParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "Model";
	}

	public MethodNameGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(MethodNameGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
